\version "2.20.0"

N = 43
\include "haydn.ly"

\book {
  \coverpage
  \secondpage

  \bookpart {
    \include "header.ly"
    \header { piece = "I" }
    \paper{}
    \maxsystems 3
    \score {
      \keepWithTag \Haydntags \tag #'Mvt1 <<
        \breaks I
        \new StaffGroup
          \new Oboes <<
            \new OboeI      \with { \RemoveAllEmptyStaves } { \I.Oboe.1 }
            \new OboeII     \with { \RemoveAllEmptyStaves } { \I.Oboe.2 }
            \new OboeIandII \partcombine \I.Oboe.1 \I.Oboe.2
          >>
        \new StaffGroup
          \new HornIandII \with { key=es } \partcombine #'(0 . 14) \I.Horn.1 \I.Horn.2
        \new StaffGroup <<
          \new Violins <<
            \new ViolinI  { \I.Violin.1 }
            \new ViolinII { \I.Violin.2 }
          >>
          \new Viola { \I.Viola }
          \new CBB \partcombine \I.Cello \transpose c c' \I.Bass
        >>
      >>
      \loose #1/12
    }
  }

  \bookpart {
    \header { piece = "II" }
    \paper{}
    \maxsystems 4
    \score {
      \keepWithTag \Haydntags \tag #'Mvt2 <<
        \breaks II
        \new StaffGroup
          \new OboeIandII \partcombine \II.Oboe.1 \II.Oboe.2
        \new StaffGroup
          \new HornIandII \with { key=es } \partcombine \II.Horn.1 \II.Horn.2
        \new StaffGroup <<
          \new Violins <<
            \new ViolinI  { \II.Violin.1 }
            \new ViolinII { \II.Violin.2 }
          >>
          \new Viola { \II.Viola }
          \new CB    { \II.Cello }
        >>
      >>
      \loose #1/32
    }
  }

  \bookpart {
    \header { piece = "III" }
    \paper{}
    \maxsystems 3
    \score {
      \keepWithTag \Haydntags \tag #'Mvt3 <<
        \breaks III
        \III.marks
        \new StaffGroup
          \new OboeIandII \partcombine \III.Oboe.1 \III.Oboe.2
        \new StaffGroup
          \new HornIandII \with { key=es } \partcombine #'(0 . 9) \III.Horn.1 \III.Horn.2
        \new StaffGroup <<
          \new Violins <<
            \new ViolinI  { \III.Violin.1 }
            \new ViolinII { \III.Violin.2 }
          >>
          \new Viola { \III.Viola }
          \new CBB   { \III.Cello }
        >>
      >>
    }
  }

  \bookpart {
    \header { piece = "IV" }
    \paper{}
    \maxsystems 3
    \score {
      \keepWithTag \Haydntags \tag #'Mvt4 <<
        \breaks IV
        \IV.marks
        \new StaffGroup
          \new Oboes <<
            \new OboeI      \with { \RemoveAllEmptyStaves } { \IV.Oboe.1 }
            \new OboeII     \with { \RemoveAllEmptyStaves } { \IV.Oboe.2 }
            \new OboeIandII \partcombine \IV.Oboe.1 \IV.Oboe.2
          >>
        \new StaffGroup
           \new HornIandII \with { key=es } \partcombine \IV.Horn.1 \IV.Horn.2
        \new StaffGroup <<
          \new Violins <<
            \new ViolinI  { \IV.Violin.1 }
            \new ViolinII { \IV.Violin.2 }
          >>
          \new Viola { \IV.Viola }
          \new CBB   { \IV.Cello }
        >>
      >>
      \loose #1/12
    }
  }
}
